.button.button--secondary,
.button.button--secondary:not(:focus),
a.button.button--secondary {
  background: var(--color-gray-500);
  box-shadow: 0.1em 0.25em 0.5em var(--gin-color-primary-light);
  border: 2px solid var(--color-gray-500) !important;
}
.button.button--secondary:hover,
.button.button--secondary:not(:focus):hover,
a.button.button--secondary:hover {
  border: 2px solid var(--color-gray-600) !important;
  background: var(--color-gray-600);
}
.button.button--secondary:active, .button.button--secondary:focus,
.button.button--secondary:not(:focus):active,
.button.button--secondary:not(:focus):focus,
a.button.button--secondary:active,
a.button.button--secondary:focus {
  border: 2px solid var(--color-gray-600) !important;
  background: var(--color-gray-600);
}
.button.button--secondary, .button.button--secondary:hover, .button.button--secondary:active, .button.button--secondary:focus,
.button.button--secondary:not(:focus),
.button.button--secondary:not(:focus):hover,
.button.button--secondary:not(:focus):active,
.button.button--secondary:not(:focus):focus,
a.button.button--secondary,
a.button.button--secondary:hover,
a.button.button--secondary:active,
a.button.button--secondary:focus {
  color: var(--gin-color-button-text);
}

.button.button--warning,
.button.button--warning:not(:focus),
a.button.button--warning {
  background: var(--gin-status-warning-text);
  box-shadow: 0.1em 0.25em 0.5em var(--gin-status-warning);
  border: 2px solid var(--gin-status-warning-text) !important;
}
.button.button--warning:hover,
.button.button--warning:not(:focus):hover,
a.button.button--warning:hover {
  border: 2px solid var(--gin-status-warning-text) !important;
  background: var(--gin-status-warning-text);
}
.button.button--warning:active, .button.button--warning:focus,
.button.button--warning:not(:focus):active,
.button.button--warning:not(:focus):focus,
a.button.button--warning:active,
a.button.button--warning:focus {
  border: 2px solid var(--gin-status-warning-text) !important;
  background: var(--gin-status-warning-text);
}
.button.button--warning, .button.button--warning:hover, .button.button--warning:active, .button.button--warning:focus,
.button.button--warning:not(:focus),
.button.button--warning:not(:focus):hover,
.button.button--warning:not(:focus):active,
.button.button--warning:not(:focus):focus,
a.button.button--warning,
a.button.button--warning:hover,
a.button.button--warning:active,
a.button.button--warning:focus {
  color: var(--gin-color-button-text);
}

.button.button--edit,
a.button.button--edit {
  border: 2px solid var(--color-gray-600);
  padding-block: calc(var(--gin-spacing-xxxs) + 2px);
  padding-inline: var(--gin-spacing-xs);
  border-radius: var(--gin-border-xs);
  display: flex;
  align-items: center;
  justify-content: center;
}
.button.button--edit:after,
a.button.button--edit:after {
  content: "";
  display: inline-block;
  inset-inline-start: 1.125rem;
  width: var(--space-m);
  height: var(--space-m);
  background: var(--gin-color-primary);
  mask-image: url("/themes/custom/subgin/media/sprite.svg#edit-view");
  mask-repeat: no-repeat;
  mask-position: center center;
  mask-size: 100% 100%;
  flex: 0 0 auto;
}
.button.button--edit:hover:after, .button.button--edit:focus:after,
a.button.button--edit:hover:after,
a.button.button--edit:focus:after {
  background: #fff;
}

.button.button--confirm,
.button.button--confirm:not(:focus),
a.button.button--confirm {
  background: var(--gin-status-success-text);
  border: 2px solid var(--gin-status-success-text) !important;
  color: #fff;
}
.button.button--confirm:hover,
.button.button--confirm:not(:focus):hover,
a.button.button--confirm:hover {
  background: var(--gin-status-success-bg) !important;
  border: 2px solid var(--gin-status-success-text) !important;
  color: var(--gin-status-success-text);
}
.button.button--confirm:active, .button.button--confirm:focus,
.button.button--confirm:not(:focus):active,
.button.button--confirm:not(:focus):focus,
a.button.button--confirm:active,
a.button.button--confirm:focus {
  background: var(--gin-status-success-text);
}
.button.button--confirm, .button.button--confirm:hover, .button.button--confirm:active, .button.button--confirm:focus,
.button.button--confirm:not(:focus),
.button.button--confirm:not(:focus):hover,
.button.button--confirm:not(:focus):active,
.button.button--confirm:not(:focus):focus,
a.button.button--confirm,
a.button.button--confirm:hover,
a.button.button--confirm:active,
a.button.button--confirm:focus {
  background: var(--gin-status-success-text);
}

.button.button--decline,
.button:not(:focus).button--decline,
a.button:not(:focus).button--decline,
a.button.button--decline {
  background: var(--gin-status-danger-text);
  border: 2px solid var(--gin-status-danger-text) !important;
  color: #fff;
}
.button.button--decline:hover,
.button:not(:focus).button--decline:hover,
a.button:not(:focus).button--decline:hover,
a.button.button--decline:hover {
  background: var(--gin-status-danger-bg) !important;
  border: 2px solid var(--gin-status-danger-text) !important;
  color: var(--gin-status-danger-text);
}
.button.button--decline:active, .button.button--decline:focus,
.button:not(:focus).button--decline:active,
.button:not(:focus).button--decline:focus,
a.button:not(:focus).button--decline:active,
a.button:not(:focus).button--decline:focus,
a.button.button--decline:active,
a.button.button--decline:focus {
  background: var(--gin-status-danger-text);
}
.button.button--decline, .button.button--decline:hover, .button.button--decline:active, .button.button--decline:focus,
.button:not(:focus).button--decline,
.button:not(:focus).button--decline:hover,
.button:not(:focus).button--decline:active,
.button:not(:focus).button--decline:focus,
a.button:not(:focus).button--decline,
a.button:not(:focus).button--decline:hover,
a.button:not(:focus).button--decline:active,
a.button:not(:focus).button--decline:focus,
a.button.button--decline,
a.button.button--decline:hover,
a.button.button--decline:active,
a.button.button--decline:focus {
  background: var(--gin-status-danger-text);
}

.file-download,
.file-download.file-download-general,
.file-download.file-download-application-octet-stream {
  background-image: url("../media/file-icons/file.svg");
}

/* Archive / package */
.file-download.file-download-package-x-generic {
  background-image: url("../media/file-icons/file-archive.svg");
}

/* Spreadsheet */
.file-download.file-download-x-office-spreadsheet {
  background-image: url("../media/file-icons/spreadsheet.svg");
}

/* Document */
.file-download.file-download-x-office-document,
.file-download.file-download-docx,
.file-download.file-download-doc {
  background-image: url("../media/file-icons/file-doc.svg");
}

/* Plain text */
.file-download.file-download-text-plain,
.file-download.file-download-text {
  background-image: url("../media/file-icons/file-txt.svg");
}

/* PDF */
.file-download.file-download-pdf,
.file-download.file-download-application-pdf {
  background-image: url("../media/file-icons/file-pdf.svg");
}

/* Executable */
.file-download.file-download-application-x-executable {
  background-image: url("../media/file-icons/cog.svg");
}

/* Audio */
.file-download.file-download-audio {
  background-image: url("../media/file-icons/music.svg");
}

/* Video */
.file-download.file-download-video {
  background-image: url("../media/file-icons/video.svg");
}

/* Image */
.file-download.file-download-image {
  background-image: url("../media/file-icons/image.svg");
}

/* Optional: ensure sizing and positioning */
.file-download {
  padding-left: 1.2em;
  background-repeat: no-repeat;
  background-position: left center;
  /* adjust background-size as needed: */
  background-size: 1em 1em;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--gin-color-text);
}
.file-download:hover, .file-download:focus {
  color: var(--gin-color-text);
}
.file-download:after {
  content: "";
  display: inline-block;
  inset-inline-start: 1.125rem;
  width: var(--space-m);
  height: var(--space-m);
  background: var(--gin-color-text);
  mask-image: url("../media/icons/download.svg");
  mask-repeat: no-repeat;
  mask-position: center center;
  mask-size: 100% 100%;
  flex: 0 0 auto;
}

html {
  font-size: 14px;
}

.copyright {
  text-align: right;
  font-size: var(--gin-font-size-xxs);
  color: var(--gin-color-text-light);
}

h1.page-title {
  font-weight: 700;
}

.content-header {
  margin-top: var(--gin-spacing-l);
}

.content-header__items {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}
.content-header__items .block-page-title-block {
  flex-grow: 1;
  align-self: center;
  display: flex;
  margin: 0;
  min-width: 0;
}

.views-field-dropbutton {
  text-align: end;
}

.text-small {
  margin: 0;
  font-size: var(--gin-font-size-s);
  color: var(--gin-color-text-light);
}

.ui-dialog-content .form-type--entity-autocomplete input,
.ui-dialog-content .field--name-title input {
  width: 100%;
}
.ui-dialog-content .form-type--select select {
  width: 100%;
}

.field--name-field-attachments .field__items .field__item a,
.field--name-field-images .field__items .field__item a {
  cursor: pointer;
  text-decoration: none;
  transition: background-color 0.2s ease-in-out;
  padding-top: var(--gin-spacing-xxxxs);
  padding-bottom: var(--gin-spacing-xxxxs);
  padding-right: var(--gin-spacing-xxxs);
  padding-left: 1.4em;
  border-radius: var(--size-summary-border-radius);
  background-position: 4px center;
  margin-left: -4px;
}
.field--name-field-attachments .field__items .field__item a:hover, .field--name-field-attachments .field__items .field__item a:focus,
.field--name-field-images .field__items .field__item a:hover,
.field--name-field-images .field__items .field__item a:focus {
  background-color: var(--gin-bg-item-hover);
  color: var(--gin-color-primary);
}
.field--name-field-attachments .field__items .field__item a:hover:after, .field--name-field-attachments .field__items .field__item a:focus:after,
.field--name-field-images .field__items .field__item a:hover:after,
.field--name-field-images .field__items .field__item a:focus:after {
  background-color: var(--gin-color-primary);
}
.field--name-field-attachments .add-link,
.field--name-field-images .add-link {
  color: var(--gin-color-text);
  font-weight: var(--gin-font-weight-semibold);
}
.field--name-field-attachments .field__footer,
.field--name-field-images .field__footer {
  text-align: center;
  margin-top: var(--gin-spacing-xxxxs);
}

.views-table td .button {
  white-space: nowrap;
}

.no-margin {
  margin: 0;
}

.flex {
  display: flex;
}

.flex-wrap {
  flex-wrap: wrap;
}

.justify-content--flex-end {
  justify-content: flex-end;
}

:where(*) #edit-help {
  color: revert;
}

form [data-drupal-selector=edit-relations] {
  display: none;
}